XML::Parser CPAN install error with Expat.o

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

I'm building a Debian Linux 'woody' system with linux kernel 2.2.20
and perl 5.6.1. I need to install XML::Parser and am encountering a
problem with expat.o:

cp Parser/LWPExternEnt.pl blib/lib/XML/Parser/LWPExternEnt.pl
make[1]: Entering directory `/root/.cpan/build/XML-Parser-2.34/Expat'
cp Expat.pm ../blib/lib/XML/Parser/Expat.pm
/usr/bin/perl /usr/share/perl/5.6.1/ExtUtils/xsubpp -noprototypes
-typemap /usr/share/perl/5.6.1/ExtUtils/typemap -typemap ty
pemap  Expat.xs > Expat.xsc && mv Expat.xsc Expat.c
cc -c   -DDEBIAN -fno-strict-aliasing -I/usr/local/include
" -DXS_VERSION=\"2.34\" -fPIC "-I/usr/lib/perl/5.6.1/CORE"   Expat.c
Expat.xs:12: expat.h: No such file or directory
make[1]: *** [Expat.o] Error 1
make[1]: Leaving directory `/root/.cpan/build/XML-Parser-2.34/Expat'
make: *** [subdirs] Error 2
  /usr/bin/make  -- NOT OK

Can someone point me to a solution for this? I didt an apt-get install
expat and tried to build the xml module again, without success. I do
not want to force install. I'd really like to fix it but I need some
direction. Thanks.


Site Timeline